# Leenooks\SQRL
Leenooks\SQRL is a laravel module aimed to enable SQRL login to your application.

## Installation
To install, run

`composer require leenooks/sqrl`

## Configuration
### Laravel
[Not Documented Yet]

### Lumen

Add to your bootstrap.app

`$app->register(Leenooks\SQRL\SQRLServiceProvider::class);`

### Both
You'll then need to configure the following:
1. `.env`

   add the following variables:

   ```
   DB_CONNECTION=sqlite                    # Your databsae configuration (must the same as SQRL_DATABASE below)
   ...
   SQRL_DATABASE=sqlite                    # Points to the SQRL database connection
   SQRL_URL_LOGIN=https://site/sqrl/login  # URL to the page after successful authentication
   SQRL_KEY_DOMAIN=site                    # URL to yours SQRL Server without http:// and https://    SQRL_API_ROUTE=/index.php/api/sqrl      # Route to SQRL Server API
   SQRL_NONCE_MAX_AGE_MINUTES=5            # Max age in minutes of the valid nonce
   SQRL_NONCE_SALT=RANDOM                  # Generate a random salt value to calculate the nonce
   ```

2. Create your SQLITE database

    If you havent done so already, create your SQLITE database (unless you are using own database configuration)
    
3. run migrations

    `php artisan migrate`

4. enjoy!
